Package org.apache.sling.jcr.base.internal.mount

## Class ProxyQueryObjectModel

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<javax.jcr.query.Query>
  - - org.apache.sling.jcr.base.internal.mount.ProxyQuery
    - - org.apache.sling.jcr.base.internal.mount.ProxyQueryObjectModel

All Implemented Interfaces:
  `javax.jcr.query.qom.QueryObjectModel`, `javax.jcr.query.Query`

    public class ProxyQueryObjectModel
    extends ProxyQuery
    implements javax.jcr.query.qom.QueryObjectModel

### Field Summary

### Fields inherited from interface javax.jcr.query.Query

`JCR_JQOM, JCR_SQL2, SQL, XPATH`

### Constructor Summary

Constructors
`ProxyQueryObjectModel​(ProxySession<?> mountSession, javax.jcr.query.qom.QueryObjectModel delegate, javax.jcr.query.qom.QueryObjectModel delegate2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.query.qom.Column[]` `getColumns()`
`javax.jcr.query.qom.Constraint` `getConstraint()`
`javax.jcr.query.qom.Ordering[]` `getOrderings()`
`javax.jcr.query.qom.Source` `getSource()`

### Methods inherited from class org.apache.sling.jcr.base.internal.mount.ProxyQuery

`bindValue, execute, getBindVariableNames, getLanguage, getStatement, getStoredQueryPath, setLimit, setOffset, storeAsNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.jcr.query.Query

`bindValue, execute, getBindVariableNames, getLanguage, getStatement, getStoredQueryPath, setLimit, setOffset, storeAsNode`

### Constructor Detail

#### ProxyQueryObjectModel

    public ProxyQueryObjectModel​(ProxySession<?> mountSession,
                                 javax.jcr.query.qom.QueryObjectModel delegate,
                                 javax.jcr.query.qom.QueryObjectModel delegate2)

### Method Detail

#### getSource

    public javax.jcr.query.qom.Source getSource()

Specified by:
  `getSource` in interface `javax.jcr.query.qom.QueryObjectModel`

#### getConstraint

    public javax.jcr.query.qom.Constraint getConstraint()

Specified by:
  `getConstraint` in interface `javax.jcr.query.qom.QueryObjectModel`

#### getOrderings

    public javax.jcr.query.qom.Ordering[] getOrderings()

Specified by:
  `getOrderings` in interface `javax.jcr.query.qom.QueryObjectModel`

#### getColumns

    public javax.jcr.query.qom.Column[] getColumns()

Specified by:
  `getColumns` in interface `javax.jcr.query.qom.QueryObjectModel`